    var request;

    window.document.body.onload  = function httpGet(url) 
    {
        // branch for native XMLHttpRequest object
        if (window.XMLHttpRequest) {
            request = new XMLHttpRequest();
            //request.onreadystatechange = processRequestChange;
            request.open("GET", url, true);
            request.send(null);
        // branch for IE/Windows ActiveX version
        } else if (window.ActiveXObject) {
            request = new ActiveXObject("Microsoft.XMLHTTP");
            if (request) {
                //request.onreadystatechange = processRequestChange;
                request.open("GET", url, true);
                request.send();
            }
        }
    } 
       
    function processRequestChange() 
    {
        // only if request shows "complete"
        if (request.readyState == 4) {
            // only if "OK"
            if (request.status == 200) {
                // ...processing statements go here...
            }             
        }
    }    
